[lttng-tools,4/9] Fix: test: utils.sh: exit fromprocess on full_cleanup
diff mbox series

Message ID 20190503135547.12968-5-mathieu.desnoyers@efficios.com
State New
Headers show
Series
  • lttng-tools fixes
Related show

Commit Message

Mathieu Desnoyers May 3, 2019, 1:55 p.m. UTC
Signed-off-by: Mathieu Desnoyers <mathieu.desnoyers at efficios.com>
---
 tests/utils/utils.sh | 1 +
 1 file changed, 1 insertion(+)

Patch
diff mbox series

diff --git a/tests/utils/utils.sh b/tests/utils/utils.sh
index b8ac88c1..42e78d25 100644
--- a/tests/utils/utils.sh
+++ b/tests/utils/utils.sh
@@ -66,6 +66,7 @@  function full_cleanup ()
 	# The '-' before the pid number ($$) indicates 'kill' to signal the
 	# whole process group.
 	trap - SIGTERM && kill -- -$$
+	exit 1
 }
 
 function null_pipes ()